<?
 require_once($_path["include"]."module.php");

 class redirect_pluginConfigs extends Module
 {
  function init(&$data)
  {
   global $_path;

   parent::init($data);

   if($this->data->module!="pluginConfigs")
    $this->extend("pluginConfigs");

   $this->data->title=$this->data->l->t("Redirect plugin configuration");

   $this->data->addField("type", "enum", "all", "reload", false, false, "Header", "Redirect type");
   $this->data->enumOptions("type", "Header", "JavaScript");

   $this->data->addField("delay", "nr", "all", false, 0, false, 3, "Seconds delay");
   $this->data->addField("message", "html", "all", false, 0, 255, "Redirecting to #url# in #delay# seconds", "Message");

   $this->data->addField("method", "enum", "all", "reload", false, false, "Page", "Redirect method");
   $this->data->enumOptions("method", "Page", "URL", "HTTPS", "HTTP");

   $this->data->addField("page", "nr", "all", "reload", 0, false, false, "Page");
   $this->data->addReference("page", "categories", "nr", "*:0");

   $this->data->addField("url", "url", "all", false, 0, 8192, "", "URL");

   $this->data->sortOrder("type", "method");
  }


  function postInit(){return $this->customizeFields();}
  function viewPostGet(){return $this->customizeFields();}
  function copyPostGet(){return $this->customizeFields();}
  function editPostGet(){return $this->customizeFields();}
  function movePostGet(){return $this->customizeFields();}
  function deletePostGet(){return $this->customizeFields();}

  function customizeFields()
  {
   if($this->data->getValue("type")=="JavaScript")
   {
    $this->data->resetField("delay");
    $this->data->resetField("message");
   }
   else
   {
    $this->data->field["delay"]["properties"].=";hidden";
    $this->data->field["message"]["properties"].=";hidden";
   }

   if($this->data->getValue("method")=="Page")
   {
    $this->data->resetField("page");
    $this->data->field["page"]["min"]=1;
    if(isset($this->data->reference["page"]))
     $this->data->reference["page"]["type"]="*:1";

    $this->data->field["url"]["properties"].=";hidden";
   }
   else 
   {
    $this->data->field["page"]["properties"].=";hidden";
    $this->data->field["page"]["min"]=0;
    if(isset($this->data->reference["page"]))
     $this->data->reference["page"]["type"]="*:0";

    if($this->data->getValue("method")=="URL")
    {
     $this->data->resetField("url");
     $this->data->field["url"]["min"]=1;
    }
    else //HTTP/HTTPS
     $this->data->field["url"]["properties"].=";hidden";
   }

   return true;
  }

 }
?>
